cmake_minimum_required(VERSION 3.22)

file(GLOB_RECURSE FATFS_SOURCES "${CMAKE_CURRENT_LIST_DIR}/*.c")

add_library(fatfs ${FATFS_SOURCES})

target_include_directories(fatfs PUBLIC
  "${CMAKE_CURRENT_LIST_DIR}"
)

target_link_libraries(fatfs PRIVATE
  drivers
  freertos
)
